Name:           perl-Bio-Graphics
Version:        2.11
Release:        2%{?dist}
Summary:        Generate GD images of Bio::Seq objects
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Bio-Graphics/
Source0:        http://www.cpan.org/authors/id/L/LD/LDS/Bio-Graphics-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Bio::Root::Version) >= 1.005009
BuildRequires:  perl(GD) >= 2.3
BuildRequires:  perl(GD::SVG)
BuildRequires:  perl(Statistics::Descriptive) >= 2.6
BuildRequires:  perl(Module::Build)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Bio::Graphics is a simple GD-based renderer (diagram drawer) for DNA
and protein sequences.  The Bio::Graphics::Panel class provides
drawing and formatting services for any object that implements the
Bio::SeqFeatureI interface, including Ace::Sequence::Feature,
Das::Segment::Feature and Bio::DB::Graphics objects.  It can be used
to draw sequence annotations, physical (contig) maps, protein domains,
or any other type of map in which a set of discrete ranges need to be
laid out on the number line

%prep
%setup -q -n Bio-Graphics-%{version}

# temporarily remove modules Bio/Graphics/Glyph/trace.pm until the dependency:
# Bio::SCF is packaged
rm lib/Bio/Graphics/Glyph/trace.pm

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*


%check
# because of removed file in prep
#./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes DISCLAIMER.txt README README.bioperl
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon Aug  9 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.11-2
- remove file which needs missing Bio::Graphics

* Fri Aug  6 2010 Marcela Maslanova <mmaslano@redhat.com> - 2.11-1
- update, tests pass fine

* Thu Apr 29 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.994-3
- Mass rebuild with perl-5.12.0

* Tue Dec 22 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.994-2
- Fix disabling of tests

* Tue Dec 22 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.994-1
- Update to upstream 1.994

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.97-3
- rebuild against perl 5.10.1

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.97-1
- Update to latest upstream (1.97) to fix FTBFS (#511633) and disable
  tests temporarily (reported upstream: 
  http://rt.cpan.org/Public/Bug/Display.html?id=47935)

* Tue May  5 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.94-1
- Update to latest upstream (1.94)
- Drop patch for disabling tests

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.84-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.84-1
- Update to upstream that fixes the bogus dependency on perl(GBrowse).
- Add BR: Statistics::Descriptive
- Continue to leave out the optional package
  Bio::Graphics::Glyph::trace until Bio::SCF is packaged

* Tue Jan 27 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.83-3
- Temporarily remove Bio::Graphics::Wiggle::Loader and
  Bio::Graphics::Glyph::trace modules from being installed until their
  deps are packaged

* Mon Jan 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.83-2
- Patch to disable some tests (image tests currently don't work)
- Fix file list to include scripts

* Mon Jan 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> 1.83-1
- Specfile autogenerated by cpanspec 1.77.
